package com.kmalbz.database.dao

import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.`java-time`.date
import java.time.LocalDate

object ResultObjects : Table() {
    val id: Column<Int> = integer("id").autoIncrement()
    val tag: Column<String> = varchar("tag",32)
    val date: Column<LocalDate> = date("date")
    val decision: Column<Boolean> = bool("decision")
    val confidence: Column<Double> = double("confidence")
    override val primaryKey = PrimaryKey(id, name = "PK_ResultObject_Id")
}